Skip to main content
POST
/
streams
/
{id}
/
load
Trigger load
curl --request POST \
  --url https://api.prequel.co/import/streams/{id}/load \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "record_ids": [
    "<string>"
  ]
}
'
{
  "load": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "submitted_at": "2023-11-07T05:31:56Z",
    "stream_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "actor_id": "<string>",
    "actor_type": "<string>",
    "started_at": "2023-11-07T05:31:56Z",
    "ended_at": "2023-11-07T05:31:56Z",
    "records_processed": 123,
    "records_transformed": 123,
    "records_valid": 123,
    "records_loaded": 123,
    "records_errored": 123,
    "record_ids": [
      "<string>"
    ],
    "error": {
      "error_code": "<string>",
      "title": "<string>",
      "message": "<string>",
      "blame": "<string>",
      "documentation_url": "<string>",
      "trace": "<string>"
    }
  }
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Body

application/json
record_ids
string[]

Optional list of record IDs to load. If omitted, all pending records are loaded.

Response

Created

load
object
required